/*
 * Class EV_GDI_ALLOCATED_OBJECTS [G#1, G#2]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1747 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1747 [] = {0xFF01,1551,1746,0xFFF8,1,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1747 [] = {0xFF01,1746,0xFFF8,1,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1747 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1747 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1747 [] = {0xFF01,1746,0xFFF8,1,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1747 [] = {0xFF01,1746,0xFFF8,1,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1747 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1747 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1747 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1747 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1747 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1747 [] = {1746,0xFFF8,1,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1747 [] = {0xFF01,1746,0xFFF8,1,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1747 [] = {0xFF01,1559,0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1747 [] = {0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1747 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1747 [] = {0xFFF8,2,0xFFFF};


static const struct desc_info desc_1747[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1747), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1747), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1747), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1747), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1747), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1747), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1747), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1747), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1747), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1747), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1747), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1747), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7705, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1747), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1747), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1747), 7706, 0},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7707, 4},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7708, 8},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7709, 12},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7710, 16},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7711, 20},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7712, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7713, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1747), 7714, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7715, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7716, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1747), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1747), -1, 0xFFFFFFFF},
};
void Init1747(void)
{
	IDSC(desc_1747, 0, 1746);
	IDSC(desc_1747 + 1, 1, 1746);
	IDSC(desc_1747 + 32, 128, 1746);
}


#ifdef __cplusplus
}
#endif
